Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# coldata.h File Reference

Declares classes for converting string data to any of the basic C types. More...

`#include "platform.h"`
`#include "const_string.h"`
`#include "convert.h"`
`#include "defs.h"`
`#include "exceptions.h"`
`#include "null.h"`
`#include "string_util.h"`
`#include "type_info.h"`
`#include <mysql.h>`
`#include <typeinfo>`
`#include <string>`
`#include <stdlib.h>`

Include dependency graph for coldata.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | mysqlpp

## Detailed Description

Declares classes for converting string data to any of the basic C types.

Roughly speaking, this defines classes that are the inverse of mysqlpp::SQLString.